Skip to main content
DELETE
/
api
/
admin
/
history
/
{historyId}
Delete a specific history record
curl --request DELETE \
  --url https://pria.praxislxp.com/api/admin/history/{historyId} \
  --header 'x-access-token: <api-key>'
import requests

url = "https://pria.praxislxp.com/api/admin/history/{historyId}"

headers = {"x-access-token": "<api-key>"}

response = requests.delete(url, headers=headers)

print(response.text)
const options = {method: 'DELETE', headers: {'x-access-token': '<api-key>'}};

fetch('https://pria.praxislxp.com/api/admin/history/{historyId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "success": true,
  "message": "History deleted"
}

Authorizations

x-access-token
string
header
required

JWT token passed in x-access-token header

Path Parameters

historyId
string
required

The unique identifier of the history record to delete

Pattern: ^[a-f\d]{24}$

Response

History record successfully deleted

success
boolean

Indicates if the operation was successful

Example:

true

message
string

Confirmation message

Example:

"History deleted"